;;; color-mate-e19.el -- Coloring routine for emacs/mule.

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 8.1
;; Keywords: color hilit19 font-lock color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.8.1
;;         by  ͵ (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs ǡѤƸ䤹̤ˤޤ
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;
;$Id: color-mate-e19.el,v 8.3 1997/04/07 07:31:43 elca Exp $

;;; Code:

;; Color-Mate 忧롼 emacs/mule 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;               ե졼δͤ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; ե졼δͤ롣â⡼ɥ饤ȥ꡼
; ϻ;ͤǤʤߤΥե졼οˤȿǤ롣
;
(defun color-mate-e19-set-default-frame ()
  "Set default settings to coloring mule/emacs."
  
  (if (and (>= (string-to-int emacs-version) 19)
	   window-system )
      (progn
	
	;; ⡼ɥ饤ϰϤο
	;; color-mate-set-current-frame Ʊ
	;; ϴͤǤʤߤΥե졼οˤȿǤ
	(set-face-underline-p 'modeline color-mate-modeline-underlined)
	(set-face-background  'modeline color-mate-modeline-background-color)
	(set-face-foreground  'modeline color-mate-modeline-foreground-color)
	(set-face-underline-p 'region   color-mate-region-underlined)
	(set-face-background  'region   color-mate-region-background-color)
	(set-face-foreground  'region   color-mate-region-foreground-color)
	
        ;; ɥεͤϢۥꥹȤˤϿ
        ;; ɲä褦ˤ
	(setq color-mate-frame-alist
	      (list
	       (cons 'background-color  color-mate-frame-background-color)
	       (cons 'foreground-color  color-mate-frame-foreground-color)
	       (cons 'cursor-color      color-mate-cursor-color)
	       (cons 'mouse-color       color-mate-mouse-color)
	       (cons 'menu-bar-lines    color-mate-menu-bar-lines)
	       (cons 'height            color-mate-frame-height)
	       (cons 'width             color-mate-frame-width)
	       (cons 'line-space        color-mate-line-space))
	      )
	
	(if (boundp 'MULE)  ;; mule ˤϴեȤɲ
	    (setq color-mate-frame-alist
		  (cons
		   (cons 'font          color-mate-mule-font)
		   color-mate-frame-alist))
			    ;; emacs ˤϥ޻եȤɲ
	  (setq color-mate-frame-alist
		(cons
		 (cons 'font            color-mate-emacs-font)
		 color-mate-frame-alist))
	  )
	
	(setq default-frame-alist             ;; ɥεͤϿ
	      (append color-mate-frame-alist  ;; ɲ
		      default-frame-alist))
;;	(setq initial-frame-alist             ;; ιԤ̵Ƥɤ
;;	      (append color-mate-frame-alist  ;; 񤤤Ƥ
;;		      initial-frame-alist))
	)))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                 ߤΥե졼οѹ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; ߤΥե졼Ρѹ롣δؿˤäƿѤΤ
; ߤΥե졼Ǥꡢcolor-mate-set-default-frame ˤä
; 줿ͤϢۥꥹȤˤˤϱƶʤ
;
(defun color-mate-e19-set-current-frame ()
  "Coloring current frame."
  
  (if (and (>= (string-to-int emacs-version) 19)
	   window-system )
      (progn
	(set-face-underline-p 'modeline color-mate-modeline-underlined)
	(set-face-background  'modeline color-mate-modeline-background-color)
	(set-face-foreground  'modeline color-mate-modeline-foreground-color)
	(set-face-underline-p 'region   color-mate-region-underlined)
	(set-face-background  'region   color-mate-region-background-color)
	(set-face-foreground  'region   color-mate-region-foreground-color)
	(set-background-color           color-mate-frame-background-color)
	(set-foreground-color           color-mate-frame-foreground-color)
	(set-cursor-color               color-mate-cursor-color)
	(set-mouse-color                color-mate-mouse-color)
	)))

;; feature ˤ
(provide 'color-mate-e19)

;;; color-mate-e19.el ends here
