;;; color-mate-face.el -- Coloring mule/emacs to more easier and more fun.

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 8.1
;; Keywords: color hilit19 font-lock color-mate paren
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.8.1
;;         by  ͵ (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs ǡѤƸ䤹̤ˤޤ
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; Commentary:
;; (1) This Library require hilit19.el and font-lock.el.
;; (2) Write these lines to your ~/.emacs
;;        (if (and (>= (string-to-int emacs-version) 19)
;;	           window-system )
;;            (progn
;;               (require 'color-mate-face)
;;               (color-mate-face)
;;               ))
;;     or Add "color-mate.emacs.add"'s contents to your ~/.emacs
;;
;;  If you use mule, and you want to more, see skk-cursor.el, egg-cursor.el,
;; canna-cursor.el and sj3-cursor.el

;$Id: color-mate-face.el,v 8.3 1997/04/11 07:30:16 qyokota Exp $

;; -*-mode: emacs-lisp-*-

;;; Code:

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                          ʸؤ忧
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; hilit19  font-lock Ȥäʸ忧롣
;; Canna ȤäƤʤ顢 Canna 忧ǽͭˤ롣
;;

;; hilit19, font-lock Ѥɲꡣ (mule FAQ )
; Color-Mate  hilit19  font-lock Ʊ˻ѤƤΤǡ
; δ֤ǤĴΤʸΥ顼򾡼˽񤭴Ƥޤ
; ⤷ʤ hilit19  font-lock ȤäƤʤ顢꤬Ѥä
; ޤ줬ޤλ .emacs ˵Ҥ줿
;
;   (require 'color-mate-face)
;
; ƤεǽȤʤ褦ˤƲ

(defun color-mate-face ()
  "Color-Mate's face utility routine. This routine use with Color-Mate."
  (interactive)
  (if (and (>= (string-to-int emacs-version) 19) ; mule Ver.2/emacs Ver.19 
	   window-system)		         ; ǥɥƥ
					         ; ѻΤߵư롣
      (progn
	;; ưå
	(message "Loading Color-Mate face utility...")


	;; xemacs19.14 Ǥ hilit19.el ϻȤʤ褦
	(if (not (boundp 'xemacs-logo))
	    (progn
	      ;;----------------;
	      ;; hilit19 
	      ;;----------------;
	      (require 'hilit19)		; ʸ˿դ

	      ;;
	      ;; hilit19 ɲ忧
	      ;;
	      ;; hilit-translate ϴؿǤϤʤޥǤΤǥХȥѥ
	      ;; emacs/mule ˥ޥǤǧɬפ롣
	      ;; ܤ color-mate-compile.el 򻲾ȡ
	      ;;
	      ;; ø int ʤɤѿؤ忧
	      (hilit-translate type     'RoyalBlue)
	      ))

	;;------------------;
	;; font-lock 
	;;------------------;
	;;
	(require 'font-lock)		; ʸ˿դ

	;; Ť emacs/mule °Ƥ font-lock.el ˤ font-lock-mode 
	;; ưƤӤ롼󤬤ʤΤɲä롣
	(if (string< emacs-version "19.29")
	    (defun turn-on-font-lock ()
	      "Hook routine for font-lock. (By color-mate-face.el)"
	      (font-lock-mode 1)))

	;; font-lock.el ˤʸ忧ư
	(add-hook 'find-file-hooks 'turn-on-font-lock)

	;;
	;; hilit19 Ʊˤʤ褦ˤ
	;;
	;; mule  emacs Ƕ̤˻Ȥ褦ʥܡɥեȤץब
	;; ޤưʤʤȤʤʤΤ
	(if (boundp 'MULE)
	    ;; mule ѤΥ롼
	    (progn
	      (add-hook 'font-lock-mode-hook
			'(lambda ()
			   ;; øˤ define ѿ̾ʤ
			   (make-face           'keyword-face)
			   (set-face-foreground 'keyword-face "purple")
			   (set-face-bold-p     'keyword-face t)
			   (setq font-lock-keyword-face 'keyword-face)
			   
			   ;; 
			   (make-face           'comment-face)
			   (set-face-foreground 'comment-face "firebrick")
			   (setq font-lock-comment-face 'comment-face)
			   
			   ;; ʸ
			   (make-face            'string-face)
			   (set-face-foreground  'string-face "grey40")
			   (set-face-underline-p 'string-face t)
			   (setq font-lock-string-face 'string-face)
			   
			   ;; ؿ̾
			   (make-face           'function-face)
			   (set-face-foreground 'function-face "blue")
			   (set-face-bold-p     'function-face t)
			   (setq font-lock-function-name-face 'function-face)
			   
			   ;; ѿ
			   (make-face           'c-type-face)
			   (set-face-foreground 'c-type-face "RoyalBlue")
			   (setq font-lock-type-face 'c-type-face)
			   ))
	      )
	  
	  ;; emacs ѤΥ롼
	  ;; xemacs ǤϤޤưƤʤ褦
	  (progn
	    ;; եȺ
	    (make-face            'keyword-face)
	    (set-face-foreground  'keyword-face "purple")
	    (make-face-bold       'keyword-face)
	    
	    (make-face            'comment-face)
	    (set-face-foreground  'comment-face "firebrick")
	    
	    (make-face            'string-face)
	    (set-face-foreground  'string-face "grey40")
	    (set-face-underline-p 'string-face t)
	    
	    (make-face            'function-face)
	    (set-face-foreground  'function-face "blue")
	    (make-face-bold       'function-face)
	    
	    (make-face            'c-type-face)
	    (set-face-foreground  'c-type-face "RoyalBlue")
	    
	    ;; 
	    (add-hook 'font-lock-mode-hook
		      '(lambda ()
			 ;; øˤ define ѿ̾ʤ
			 (setq font-lock-keyword-face       'keyword-face)
			 
			 ;; 
			 (setq font-lock-comment-face       'comment-face)
			 
			 ;; ʸ
			 (setq font-lock-string-face        'string-face)
			 
			 ;; ؿ̾
			 (setq font-lock-function-name-face 'function-face)
			 
			 ;; ѿ
			 (setq font-lock-type-face          'c-type-face)
			 ))
	    )
	  )

	;;--------------;
	;; paren 
	;;--------------;
	(require 'paren)
	(setq paren-mode 'sexp)  ;  xemacs ͭ



	;; canna 忧ǽͭˤ롣
	;; Canna  mule Ǥ canna.el ˤ˥ɤƤΤ
	;; (featurep 'canna) Ǥ (canna) ¹Ԥʬʤ
	;; Ǥɤʬʤ canna-empty-info
	;; Ȥѿ Canna ư t ˤʤѤ
	;; 桼 Canna ȤäƤ뤫(˵ưƤ뤫)Ƚꤹ롣
	
	(if (and (boundp 'CANNA)
		 canna-empty-info)
	    (progn
	      (setq canna-use-color t)
	      (progn
		(cond
		 ((boundp 'egg-version)
		  (require 'can-n-egg)
		  (can-n-egg))
		 (t
		  (require 'canna)
		  (canna))
		 ))))
	

	;; wnn 忧ǽ
	;; canna 忧Ʊ褦ˤ
	(if (boundp 'WNN)
	    (progn
	      (make-face           'egg-face-firebrick1)
	      (set-face-foreground 'egg-face-firebrick1 "firebrick1")

	      (make-face           'egg-face-RoyalBlue2-lavender)
	      (set-face-foreground 'egg-face-RoyalBlue2-lavender "RoyalBlue2")
	      (set-face-background 'egg-face-RoyalBlue2-lavender "lavender")

	      (setq egg:*fence-face*         'egg-face-firebrick1)
	      (setq egg:*henkan-face*        'egg-face-firebrick1)
	      (setq egg:*fence-face-in-cont* 'egg-face-RoyalBlue2-lavender)
	      (setq egg:*dai-bunsetu-face*   'egg-face-RoyalBlue2-lavender)
	      (setq egg:*sho-bunsetu-face*   'egg-face-RoyalBlue2-lavender)

	      )
	  )

	;; sj3 忧ǽ
	;; canna 忧Ʊ褦ˤ
	;; ޤĤʤ
	(if (boundp 'SJ3)
	    (progn
	      (make-face           'sj3-face-firebrick1)
	      (set-face-foreground 'sj3-face-firebrick1 "firebrick1")

	      (make-face           'sj3-face-RoyalBlue2-lavender)
	      (set-face-foreground 'sj3-face-RoyalBlue2-lavender "RoyalBlue2")
	      (set-face-background 'sj3-face-RoyalBlue2-lavender "lavender")

	      (setq egg:*fence-face*         'sj3-face-firebrick1)
	      (setq egg:*henkan-face*        'sj3-face-firebrick1)
	      (setq egg:*fence-face-in-cont* 'sj3-face-RoyalBlue2-lavender)

	      )
	  )



	;; ưλå
	(message "Loading Color-Mate face utility...done")
	)))


(provide 'color-mate-face) ; feature ȤϿ

;;; color-mate-face.el ends here
