;;; color-mate-xemacs.el -- Coloring routine for xemacs.

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 8.1
;; Keywords: color hilit19 font-lock color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.8.1
;;         by  ͵ (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs ǡѤƸ䤹̤ˤޤ
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;$Id: color-mate-xemacs.el,v 1.2 1997/04/07 07:31:02 elca Exp $

;;; Code:

;;----------------------------------------------------------------
;; xemacs ǤϤʤʬfaceǿŤƤΤǡemacs/mule
;; ưʤ㤦

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;               ե졼δͤ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
(defun color-mate-xemacs-set-default-frame ()
  "Set default settings to coloring xemacs."

  (progn

    ;; Ǥ color-mate-xemacs-set-current-frame Ʊ򤹤Τ
    ;; Ʊٽɬפ⤢ޤ
    (color-mate-xemacs-set-current-frame)

    (setq color-mate-frame-alist
	  (list
	   (cons 'menu-bar-lines    color-mate-menu-bar-lines)
	   (cons 'height            color-mate-frame-height)
	   (cons 'width             color-mate-frame-width)
	   (cons 'line-space        color-mate-line-space))
	  )

    (if (boundp 'MULE)
	;; xmule ˤϴեȤɲ
	;; XMule ȤΤϸ̵ΤɤȻפ
	(setq color-mate-frame-alist
	      (cons
	       (cons 'font          color-mate-mule-font)
	       color-mate-frame-alist))
      ;; xemacs ˤϥ޻եȤɲ
      (setq color-mate-frame-alist
	    (cons
	     (cons 'font            color-mate-emacs-font)
	     color-mate-frame-alist))
      )

    (setq default-frame-alist             ;; ɥεͤϿ
	  (append color-mate-frame-alist  ;; ɲ
		  default-frame-alist))
;;    (setq initial-frame-alist           ;; ιԤ̵Ƥɤ
;;	  (append color-mate-frame-alist  ;; 񤤤Ƥ
;;		  initial-frame-alist))

    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                 ߤΥե졼οѹ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; xemacs ǤϸߤΥե졼࿧ѹȤʤʬͤ
;; ˤȿǤƤޤ
;;
(defun color-mate-xemacs-set-current-frame ()
  "Coloring current frame."

  (progn
    ;; XEmacs Ͽ face ѤƤ褦Ǥ롣
    ;; emacs/mule ȰäƤ롣

    ;; ޥݥ󥿤ȥ뿧
    (set-face-foreground  'pointer                       color-mate-mouse-color)
    (set-face-background  'text-cursor                   color-mate-cursor-color)

    ;; region
    (set-face-background  'zmacs-region                  color-mate-region-background-color)
    (set-face-foreground  'zmacs-region                  color-mate-region-foreground-color)

    ;; modeline #1
    (set-face-underline-p 'modeline                      color-mate-modeline-underlined)
    (set-face-background  'modeline                      color-mate-modeline-background-color)
    (set-face-foreground  'modeline                      color-mate-modeline-foreground-color)

    ;; modeline #2
    (set-face-foreground  'modeline-buffer-id            color-mate-modeline-buffer-id-foreground-color)
    (set-face-foreground  'modeline-mousable             color-mate-modeline-mousable-foreground-color)
    (set-face-foreground  'modeline-mousable-minor-mode  color-mate-modeline-mousable-minor-mode-foreground-color)

    ;; background/foreground
    (set-face-background  'default                       color-mate-frame-background-color)
    (set-face-foreground  'default                       color-mate-frame-foreground-color)
    ))


;; feature ˤ
(provide 'color-mate-xemacs)

;;; color-mate-xemacs.el ends here
